Subject: Re: CCL:Gaussian98 source code and facility of parallel implementation

From: Bernd Schubert <[email-masked]>
Date: Wed, 1 Aug 2001 12:24:21 +0200

Hi,

I had the same problem and asked the gaussian support about it. They send me 
a documentation how to change the shmmax parameter. 
I think the first thing you need is a kernel compiled with big memory support 
(we are using the 2.4.x kernels and I have enabled 64GB support).
Before recompiling the kernel you can change the shmmax parameter in the 
kernel_source_dir/include/linux/shmmax (for 2.4.x kernels, for 2.2.x kernel 
see the attachment I'v got from gaussian support). But I'm not sure if this 
is neccessary because I did it but with a too small value. So gaussian still 
didn't run in parallel mode.

After the following command gaussian run fine in parallel mode then:
 echo "2147483648" >/proc/sys/kernel/shmmax

This enables 2GB shared memory support, a higher value can be specified but 
will be automatically reduced to 2GB.

I hope it helps you,

Bernd